shl negative:
	Shift value greater than or equal to number of bits in data type
shl 0:
shl 1:
shl 31:
shl 32:
	Shift value greater than or equal to number of bits in data type
shl 33:
	Shift value greater than or equal to number of bits in data type
shl 123:
	Shift value greater than or equal to number of bits in data type
shl 128:
	Shift value greater than or equal to number of bits in data type
shl 255:
	Shift value greater than or equal to number of bits in data type
shl 256:
	Shift value greater than or equal to number of bits in data type
shl huge integer value:
	Shift value greater than or equal to number of bits in data type
shl huge longint value:
	Shift value greater than or equal to number of bits in data type
----------------------------
shr negative:
	Shift value greater than or equal to number of bits in data type
shr 0:
shr 1:
shr 31:
shr 32:
	Shift value greater than or equal to number of bits in data type
shr 33:
	Shift value greater than or equal to number of bits in data type
shr 123:
	Shift value greater than or equal to number of bits in data type
shr 128:
	Shift value greater than or equal to number of bits in data type
shr 255:
	Shift value greater than or equal to number of bits in data type
shr 256:
	Shift value greater than or equal to number of bits in data type
shr huge integer value:
	Shift value greater than or equal to number of bits in data type
shr huge longint value:
	Shift value greater than or equal to number of bits in data type
